/*
 * include/asm-arm/arch-ns9xxx/lcd_lib/displays.h
 *
 * Copyright (C) 2006 by Digi International Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 */
#ifndef __ASM_ARCH_NS9XXX_LCD_LIB_H
#define __ASM_ARCH_NS9XXX_LCD_LIB_H

/* general configuration for multiple displays */
struct lcd_cfg {
	const char* name;	   /* Display name used in kernel command line */
	int width;
	int height;
	int clock;		   /* LCD clock in Hz */
	unsigned long control;	   /* register value */
	unsigned long timing[4];   /* register value */
};


#ifdef CONFIG_CTR_VGA
# include "ctr_vga.h"
#endif


#endif /* __ASM_ARCH_NS9XXX_LCD_LIB_H */






