/***********************************************************************
 *
 *  Copyright 2003 by FS Forth-Systeme GmbH.
 *  All rights reserved.
 *
 *  $Id: lm202.h,v 1.1 2005-09-08 17:07:15 pperez Exp $
 *  @Author: Markus Pietrek
 *  @Descr: LCD display driver for the Sharp LM202KS1
 *  
 ***********************************************************************/
/***********************************************************************
 *
 *  @History:
 *     2003/04/03 : using auto minor mode of misc device layer
 ************************************************************************/

#ifndef FS_LM202_H
#define FS_LM202_H

// lm202 uses the miscdevice facility (major char 10)to not need to reserve one
// major number for only one device

#define LM202_CHRDEV		"lcd"

#define LM202_CMD_CLEAR_SCREEN	'\a'
#define LM202_CMD_CARRIAGE_RET	'\r'
#define LM202_CMD_NEWLINE	'\n'
#define LM202_CMD_DISPLAY_OFF	'\b'
#define LM202_CMD_DISPLAY_ON	'\v'

#endif // FS_LM202_H
