/***********************************************************************
 *
 * Copyright (C) 2004 by FS Forth-Systeme GmbH.
 * All rights reserved.
 *
 * $Id: ns9750_config.h,v 1.2 2005-09-06 07:35:00 uzeisberger Exp $
 * @Author: Markus Pietrek
 * @Descr: Configuration file for NS9750 platforms
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 ***********************************************************************/

#ifndef FS_NS9750_CONFIG_H
#define FS_NS9750_CONFIG_H

#include <linux/config.h>	/* system configuration */

#if defined(CONFIG_ARCH_NS9750DEV_REV3)
# define NS_SYS_CLK_FREQ	324403200
#elif defined(CONFIG_ARCH_NS9750DEV_REV4)
# define NS_SYS_CLK_FREQ	398131200
#elif defined(CONFIG_MACH_A9M9750)
# define NS_SYS_CLK_FREQ	398131200
#elif defined(CONFIG_ARCH_NS9360)
# define NS_SYS_CLK_FREQ	353894400
#else
# error what board do we have?
#endif	/* CONFIG_ARCH_NS9750DEV_REV3 */

#endif /* FS_NS9750_CONFIG_H */
